<template lang="pug">
BaseCard.x-events(title='Events')
  li(v-if='!dns' key='0')
    div.text-muted Please select an experiment area...
  li(v-if='dns && !isEvents' key='1')
    div.text-muted Waiting for Service...
  li(v-if='isEvents' key='2')
    table.table.table-sm.table-hover
      thead
        tr.table-head
          th.x-stamp Cyclestamp
          th.x-event Validated Number / Event
          th.x-beamType Beam Type
          th.x-protons(v-if='isScreenLG') Protons
      tbody
        tr(:key='event.eventNumber' v-for="event in events")
          td {{ event.cyclestamp / 1000000 | b-moment("HH:mm:ss.SSS") }}
          td.nowrap {{ event.validatedNumber || '-' }} / {{ event.eventNumber }}
          td {{ getBeamTypeName(event.beamType) }}
          td(v-if='isScreenLG') {{ event.protons | b-bigNumber }}
</template>
<script>

export { default } from './Events.vue.js';

</script>
<style lang='scss'>
.x-events {
  .table-head > th {
    border: 1px solid #dee2e6 !important;
  }

 .table td, .table th {
  vertical-align: middle;
  text-align: center;
  font-size: 0.9rem;
  }

  .x-stamp { width: 12em; max-width: 12em; }
  .x-event { width: 12em; }
  .x-beamType { width: 9em; }
  .x-protons { width: 12em; }
  .x-period { width: 6em; }
}

</style>
